package com.ruoyi.project.patrol.fire.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.fire.mapper.TFireDoorMapper;
import com.ruoyi.project.patrol.fire.domain.TFireDoor;
import com.ruoyi.project.patrol.fire.service.ITFireDoorService;

/**
 * 常闭式防爆门/防火门Service业务层处理
 *
 * @author admin
 * @date 2023-11-07
 */
@Service
public class TFireDoorServiceImpl implements ITFireDoorService
{
    @Autowired
    private TFireDoorMapper tFireDoorMapper;

    /**
     * 查询常闭式防爆门/防火门
     *
     * @param id 常闭式防爆门/防火门主键
     * @return 常闭式防爆门/防火门
     */
    @Override
    public TFireDoor selectTFireDoorById(Long id)
    {
        return tFireDoorMapper.selectTFireDoorById(id);
    }

    /**
     * 查询常闭式防爆门/防火门列表
     *
     * @param tFireDoor 常闭式防爆门/防火门
     * @return 常闭式防爆门/防火门
     */
    @Override
    public List<TFireDoor> selectTFireDoorList(TFireDoor tFireDoor)
    {
        return tFireDoorMapper.selectTFireDoorList(tFireDoor);
    }
    /**
     * 查询常闭式防爆门/防火门列表
     *
     * @param tFireDoor 常闭式防爆门/防火门
     * @return 常闭式防爆门/防火门
     */
    @Override
    public List<TFireDoor> selectTFireDoor(TFireDoor tFireDoor)
    {
        return tFireDoorMapper.selectTFireDoor(tFireDoor);
    }

    /**
     * 新增常闭式防爆门/防火门
     *
     * @param tFireDoor 常闭式防爆门/防火门
     * @return 结果
     */
    @Override
    public int insertTFireDoor(TFireDoor tFireDoor)
    {
        return tFireDoorMapper.insertTFireDoor(tFireDoor);
    }

    /**
     * 修改常闭式防爆门/防火门
     *
     * @param tFireDoor 常闭式防爆门/防火门
     * @return 结果
     */
    @Override
    public int updateTFireDoor(TFireDoor tFireDoor)
    {
        return tFireDoorMapper.updateTFireDoor(tFireDoor);
    }

    /**
     * 批量删除常闭式防爆门/防火门
     *
     * @param ids 需要删除的常闭式防爆门/防火门主键
     * @return 结果
     */
    @Override
    public int deleteTFireDoorByIds(Long[] ids)
    {
        return tFireDoorMapper.deleteTFireDoorByIds(ids);
    }

    /**
     * 删除常闭式防爆门/防火门信息
     *
     * @param id 常闭式防爆门/防火门主键
     * @return 结果
     */
    @Override
    public int deleteTFireDoorById(Long id)
    {
        return tFireDoorMapper.deleteTFireDoorById(id);
    }
}
